Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm getting "No apache MPM package installed" when trying to configure virtual hosts on apache2.2.

I was doing vhost configuration as per this example. What does this error mean?

EDIT: prefork is installed. The question is, why after a2ensite / a2dissite and /etc/init.d/apache2 reload I still get error "No MPM package installed"...

share|improve this question
    
There is a reference in this question about an example, but I can't see it. –  mdpc Jan 31 '10 at 4:10
    
Well example I linked uses a2ensite/a2dissite to add/remove virtual hosts and so did I. Now I see that probably a2ensite uses MPM in turn. Thank you for your answers, I will try to enable MPM or to learn to do without it. –  Sejanus Feb 1 '10 at 10:39

4 Answers 4

up vote 2 down vote accepted

In looking at the documentation at http://httpd.apache.org, I found that the virtual host is a core option. MPM is a process/thread management issue within the apache web server. Having or not having MPM should not be a determining factor in the support of virtual hosts.

My guess therefore is that there are directives contained within your httpd.conf file are not consistent with the type of MPM modules are compiled into the apache server. For instance, you might be using the prefork MPM but the directives in the httpd.conf file would contain something like ThreadsperChild which is not appropriate. This could be the source of your error message.

The Apache documentation further indicates that depending on the platform, there is a default MPM always selected by the configure process you go through. In Linux it is prefork.

share|improve this answer
    
Thanks... I edited original question. –  Sejanus Feb 1 '10 at 11:13

If you compiled it from source on Linux the default prefork mpm should have been installed. You should be able to list all modules including mpm's by running httpd -l. See the MPM documentation for more details

share|improve this answer
    
Thanks. Thats right, it shows that prefork.c is compiled in indeed. –  Sejanus Feb 1 '10 at 10:44

sudo apt-get install apache2

share|improve this answer
    
I was having the same problem, and this fixed it. –  Jeremy White May 6 '10 at 23:32
1  
It will install apache2-mpm-worker if missed. –  JohnS May 14 '11 at 4:45
    
lol, this worked! –  nalply Nov 14 '11 at 10:12
    
Worked for me too, Ubuntu 10.4's package manager must not be up to the task. –  Jason Goemaat Jul 4 '12 at 23:15

Seems the latest debian upgrade broke this again, so here's a quick fix for anyone coming to this from google for the latest repeat of this issue:

apt-get install apache2-mpm-prefork
cd /etc/apache2/mods-enabled
ln -s ../mods-available/mpm_prefork.* ./
/etc/init.d/apache2 restart

(prefix with sudo as appropriate if you're not root)

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.